Bug 491627 - eee Top video not working
eee Top video not working
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
12
i686 Linux
low Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
https://fedoraproject.org/wiki/Common...
: CommonBugs, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-23 08:15 EDT by Gabriele Turchi
Modified: 2018-04-11 03:22 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 01:58:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Working xorg.conf file for Fedora 11 beta (1.38 KB, text/plain)
2009-04-02 12:41 EDT, Gabriele Turchi
no flags Details
This is the X log from a correctly running session. (50.62 KB, text/plain)
2009-04-09 07:15 EDT, Gabriele Turchi
no flags Details
lspci -nn output and some X server logs (31.75 KB, application/x-gzip)
2009-05-07 11:42 EDT, Gabriele Turchi
no flags Details
Still see this error using the suggested xorg.conf, attached logfiles. (20.10 KB, application/x-gzip)
2009-06-27 16:10 EDT, Thomas Wang-Nielsen
no flags Details
New xorg.conf for "C" version hardware (722 bytes, text/plain)
2009-11-03 03:05 EST, Gabriele Turchi
no flags Details

  None (edit)
Description Gabriele Turchi 2009-03-23 08:15:20 EDT
Description of problem:

With F10 or Rawhide (F11 alpha) X11 on eee Top X11 doesn't work at all with intel driver (945GME).

Version-Release number of selected component (if applicable):

Tested with F10 stock, and after updating from rawhide X11 and Mesa (xorg-x11-drv-intel-2.6.0-14.fc11.i586)

How reproducible:

Everytime

Steps to Reproduce:
1. run "X"
2.
3.
  
Actual results:

Black screen

Expected results:

X11 grey background and mouse pointer

Additional info:

The behaviour change between versions, but the screen is still black... Under F10 the problem appear related even to a wrong LCD detection (appear an "Unknown-1" device, attached), under 2.6.0 intel driver the device list appear the right one, but the display is not really detected (no dcc detection, 1024x768 resolution choosed in place of the right one, 1366x768).

I'm sorry for my bad english.
Comment 1 Gabriele Turchi 2009-04-02 12:41:14 EDT
Created attachment 337847 [details]
Working xorg.conf file for Fedora 11 beta

This is a working xorg.conf file under Fedora 11 Beta 
* kernel 2.6.29-0.258.2.3.rc8.git2.fc11.i686.PAE
* xorg-x11-server-Xorg-1.6.0-13.fc11.i586
* xorg-x11-drv-intel-2.6.0-14.fc11.i586
Comment 2 Matěj Cepl 2009-04-06 11:42:04 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachment using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 Gabriele Turchi 2009-04-09 07:15:27 EDT
Created attachment 338889 [details]
This is the X log from a correctly running session.

If needed, I can attach other logs, from various kernel/X configurations (failures).
Comment 4 Adam Williamson 2009-04-16 19:28:39 EDT
Yes - the logs from the failure cases would be very useful. Thanks. Also, the output of 'lspci -nn'.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 Gabriele Turchi 2009-05-07 11:42:54 EDT
Created attachment 342860 [details]
lspci -nn output and some X server logs

This is an archive, if needed I can attach single files. Sorry for the delay.
Comment 6 Gabriele Turchi 2009-05-22 03:53:39 EDT
I _suspect_ (no verification yet) the same problem is present on the Acer Aspire One 11,6 inch monitor ultraportable (same intel chipset, same video resolution). 

I can also confirm the xorg.conf working well under updated F11 RC.
Comment 7 Bug Zapper 2009-06-09 08:31:17 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Thomas Wang-Nielsen 2009-06-27 16:10:32 EDT
Created attachment 349672 [details]
Still see this error using the suggested xorg.conf, attached logfiles.

Still see this error using the suggested xorg.conf on fully updated Fedora 11. 

I notice that the message-file contains this line:
 ...
 sysfs: duplicate filename 'card0-LVDS-1' can not be created
 ...

Attached
  Xorg.0.log, 
  messages 
  uname.txt    output from uname -a 
  pspci.txt    output from pspci -nn
Comment 9 Thomas Wang-Nielsen 2009-07-21 16:56:59 EDT
Ping, still have this problem.
Comment 11 Gabriele Turchi 2009-11-03 03:04:20 EST
Hardware release "C" changed many things. A standard F11 could run with standard configuration in vesa mode in 1024x768 resolution, but the hardware freeze shutting down the video (changing resolution to text mode, I think). To reach full resolution the only solution I found is to innstall F12 beta, *without* nomodeset option. The standard resolution is now 800x600, and the system don't freeze. 

My new xorg.conf containg new modelines: 1366x768 mode works, but with a little displacement...

P.S.: to interested ones: my kernel patches to keep touch screen working are still effectives in "C" release.
Comment 12 Gabriele Turchi 2009-11-03 03:05:52 EST
Created attachment 367262 [details]
New xorg.conf for "C" version hardware
Comment 13 Matěj Cepl 2009-11-05 13:23:32 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 14 Gabriele Turchi 2009-11-18 07:03:18 EST
Currently I have no more easy access to older hw version, but the C version problems are tested against a F12 beta. I'll try soon with F12 final.
Comment 15 Matěj Cepl 2010-02-26 07:15:16 EST
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]
Comment 16 Gabriele Turchi 2010-03-01 02:28:21 EST
I've done some tests with F12 final, same behaviour: the modeline should be added by hand.

I've solved the displacement problem pressing the "monitor off" button for a while: the usual LCD funcion "auto sync" is started this way, and the image now is centered on th monitor.

P.S.: my kernel patches to keep touch screen working are still effectives, but no answer from anyone to include them or writing a better ones.
Comment 17 Adam Williamson 2010-03-02 03:31:33 EST
"P.S.: my kernel patches to keep touch screen working are still effectives, but
no answer from anyone to include them or writing a better ones.   "

kernel stuff is usually best submitted upstream, to lkml; we try to minimize 'new' work in the Fedora kernel.
Comment 18 Gabriele Turchi 2010-03-02 03:50:53 EST
Yes, you are right... but... I tried, no answer...

http://lkml.indiana.edu/hypermail/linux/kernel/0905.3/00021.html

https://bugzilla.redhat.com/show_bug.cgi?id=491629
Comment 19 Adam Williamson 2010-03-02 11:52:40 EST
huh, that sucks. could you try lkml again, and if you don't get through, it may be best to contact the maintainer of the relevant kernel section directly?
Comment 20 Bug Zapper 2010-04-27 09:17:57 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 21 Bug Zapper 2010-11-04 07:25:49 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 22 Bug Zapper 2010-12-05 01:58:59 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.